# Gemspec for RSS to HTML converter
# Copyright (C) 2015  Harald Eilertsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

require_relative 'lib/rss2html/version'

Gem::Specification.new do |s|
  s.name = 'rss2html'
  s.version = Rss2Html::VERSION
  s.date = '2015-05-06'
  s.summary = 'RSS to HTML converter.'
  s.description = 'Convert one or more RSS feeds to HTML. Great for '+
                  'including in a blog or other website.'
  s.authors = ['Harald Eilertsen']
  s.email = 'haraldei@anduin.net'
  s.homepage = 'https://github.com/snake66/rss2html'
  s.license = 'AGPL-3.0'
  s.required_ruby_version = '>= 1.9.3'

  s.files = %w{
    COPYING
    README.md
    lib/rss2html.rb
    lib/rss2html/feed.rb
    lib/rss2html/feed_item.rb
    lib/rss2html/version.rb
    lib/rss2html/views/feed_footer.html.erb
    lib/rss2html/views/feed_header.html.erb
    lib/rss2html/views/item.html.erb
  }
  s.executables = %w{
    rss2html
  }
end
